commit:     7b1c1315574dc7352e50d7970ffebf7b43345755
Author:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Tue Jul 15 21:22:35 2025 +0000
Commit:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Tue Jul 15 21:22:35 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7b1c1315

app-emacs/llama: bump to 1.0.0

Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>

 app-emacs/llama/Manifest           |  1 +
 app-emacs/llama/llama-1.0.0.ebuild | 40 ++++++++++++++++++++++++++++++++++++++
 2 files changed, 41 insertions(+)

diff --git a/app-emacs/llama/Manifest b/app-emacs/llama/Manifest
index 0df3647a05b7..9a5bad45d9c6 100644
--- a/app-emacs/llama/Manifest
+++ b/app-emacs/llama/Manifest
@@ -1 +1,2 @@
 DIST llama-0.6.3.gh.tar.gz 22476 BLAKE2B 
0e9d705aec771601cf478c6e744ea91bffc58e6a52e79ffd4f9a1eed5350b64e94f49645671c491028673134c8851a026e8c4bd1d93831ceaa58b57c3870381f
 SHA512 
9fcdac86d47ef0e7169494c68c3ff8d8b38e6ebff65176a6a9062a679d9a3ffd20d5d1155a98a862ec44c78d655b268974dd32d20700cff2290bf4b355fa0955
+DIST llama-1.0.0.gh.tar.gz 22468 BLAKE2B 
3d6e70b855821fd5eac2a18dd16d032729b6e884a1d7881a670028fa05868b2931b2b0d022ece4b7aad357fe5ff67f480fd594b8441325c0fb1be1a8c61d6b7c
 SHA512 
7b6dd6f10b1b36f54c60edbd039657fd9a27b69abdf7ce704f2f8c36cd896142d65ee157a2b0d68f4273d982ed7eeaea40c077bd393448af662c73d511fcc2de

diff --git a/app-emacs/llama/llama-1.0.0.ebuild 
b/app-emacs/llama/llama-1.0.0.ebuild
new file mode 100644
index 000000000000..7af596a59802
--- /dev/null
+++ b/app-emacs/llama/llama-1.0.0.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit elisp
+
+DESCRIPTION="Compact syntax for short lambda"
+HOMEPAGE="https://github.com/tarsius/llama/";
+
+if [[ "${PV}" == *9999* ]] ; then
+       inherit git-r3
+
+       EGIT_REPO_URI="https://github.com/tarsius/${PN}";
+else
+       
SRC_URI="https://github.com/tarsius/${PN}/archive/refs/tags/v${PV}.tar.gz
+               -> ${P}.gh.tar.gz"
+
+       KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
+fi
+
+LICENSE="GPL-3+"
+SLOT="0"
+
+RDEPEND="
+       >=app-emacs/compat-30.1.0.0
+"
+BDEPEND="
+       ${RDEPEND}
+"
+
+SITEFILE="50${PN}-gentoo.el"
+
+elisp-enable-tests ert "${S}"
+
+src_install() {
+       rm "./${PN}-test.el"* || die
+
+       elisp_src_install
+}

Reply via email to